searchNodes=[{"doc":"Operations on AWS SQS.","ref":"ExAws.SQS.html","title":"ExAws.SQS","type":"module"},{"doc":"Adds a permission with the provided label to the Queue for a specific action for a specific account.AWS API Docs","ref":"ExAws.SQS.html#add_permission/3","title":"ExAws.SQS.add_permission/3","type":"function"},{"doc":"Extends the read lock timeout for the specified message from the specified queue to the specified value.AWS API Docs","ref":"ExAws.SQS.html#change_message_visibility/3","title":"ExAws.SQS.change_message_visibility/3","type":"function"},{"doc":"Extends the read lock timeout for a batch of 1..10 messages.AWS API Docs","ref":"ExAws.SQS.html#change_message_visibility_batch/2","title":"ExAws.SQS.change_message_visibility_batch/2","type":"function"},{"doc":"Create queue.AWS API DocsAttributes:delay_seconds - The length of time, in seconds, for which the delivery of all messages in the queue is delayed. Valid values: An integer from 0 to 900 seconds (15 minutes). Default: 0.:maximum_message_size - The limit of how many bytes a message can contain before Amazon SQS rejects it. Valid values: An integer from 1,024 bytes (1 KiB) to 262,144 bytes (256 KiB). Default: 262,144 (256 KiB).:message_retention_period - The length of time, in seconds, for which Amazon SQS retains a message. Valid values: An integer from 60 seconds (1 minute) to 1,209,600 seconds (14 days). Default: 345,600 (4 days).:policy - The queue's policy. A valid AWS policy. For more information about policy structure, see Overview of AWS IAM Policies in the Amazon IAM User Guide.:receive_message_wait_time_seconds - The length of time, in seconds, for which a ReceiveMessage action waits for a message to arrive. Valid values: An integer from 0 to 20 (seconds). Default: 0.:redrive_policy - The string that includes the parameters for the dead-letter queue functionality of the source queue as a JSON object. For more information about the redrive policy and dead-letter queues, see Using Amazon SQS Dead-Letter Queues in the Amazon Simple Queue Service Developer Guide.deadLetterTargetArn – The Amazon Resource Name (ARN) of the dead-letter queue to which Amazon SQS moves messages after the value of maxReceiveCount is exceeded.maxReceiveCount – The number of times a message is delivered to the source queue before being moved to the dead-letter queue. When the ReceiveCount for a message exceeds the maxReceiveCount for a queue, Amazon SQS moves the message to the dead-letter-queue. Note The dead-letter queue of a FIFO queue must also be a FIFO queue. Similarly, the dead-letter queue of a standard queue must also be a standard queue.:visibility_timeout - The visibility timeout for the queue, in seconds. Valid values: An integer from 0 to 43,200 (12 hours). Default: 30. For more information about the visibility timeout, see Visibility Timeout in the Amazon Simple Queue Service Developer Guide.:fifo_queue - Designates a queue as FIFO. Valid values: true, false. If you don't specify the FifoQueue attribute, Amazon SQS creates a standard queue. You can provide this attribute only during queue creation. You can't change it for an existing queue. When you set this attribute, you must also provide the MessageGroupId for your messages explicitly. For more information, see FIFO Queue Logic in the Amazon Simple Queue Service Developer Guide.:content_based_deduplication - Enables content-based deduplication. Valid values: true, false. For more information, see Exactly-Once Processing in the Amazon Simple Queue Service Developer Guide.:kms_master_key_id - The ID of an AWS-managed customer master key (CMK) for Amazon SQS or a custom CMK. For more information, see Key Terms. While the alias of the AWS-managed CMK for Amazon SQS is always alias/aws/sqs, the alias of a custom CMK can, for example, be alias/MyAlias . For more examples, see KeyId in the AWS Key Management Service API Reference.:kms_data_key_reuse_period_seconds - The length of time, in seconds, for which Amazon SQS can reuse a data key to encrypt or decrypt messages before calling AWS KMS again. An integer representing seconds, between 60 seconds (1 minute) and 86,400 seconds (24 hours). Default: 300 (5 minutes). A shorter time period provides better security but results in more calls to KMS which might incur charges after Free Tier. For more information, see How Does the Data Key Reuse Period Work?.","ref":"ExAws.SQS.html#create_queue/3","title":"ExAws.SQS.create_queue/3","type":"function"},{"doc":"Delete a message from a SQS QueueAWS API Docs","ref":"ExAws.SQS.html#delete_message/2","title":"ExAws.SQS.delete_message/2","type":"function"},{"doc":"Deletes a list of messages from a SQS Queue in a single requestAWS API Docs","ref":"ExAws.SQS.html#delete_message_batch/2","title":"ExAws.SQS.delete_message_batch/2","type":"function"},{"doc":"Delete a queueAWS API Docs","ref":"ExAws.SQS.html#delete_queue/1","title":"ExAws.SQS.delete_queue/1","type":"function"},{"doc":"Gets attributes of a SQS QueueAWS API Docs","ref":"ExAws.SQS.html#get_queue_attributes/2","title":"ExAws.SQS.get_queue_attributes/2","type":"function"},{"doc":"Get queue URLAWS API DocsOptions:queue_owner_aws_account_id - The AWS account ID of the account that created the queue.","ref":"ExAws.SQS.html#get_queue_url/2","title":"ExAws.SQS.get_queue_url/2","type":"function"},{"doc":"Retrieves the dead letter source queues for a given SQS QueueAWS API Docs","ref":"ExAws.SQS.html#list_dead_letter_source_queues/1","title":"ExAws.SQS.list_dead_letter_source_queues/1","type":"function"},{"doc":"List tags of a SQS Queue.AWS API Docs","ref":"ExAws.SQS.html#list_queue_tags/1","title":"ExAws.SQS.list_queue_tags/1","type":"function"},{"doc":"Retrieves a list of all the SQS QueuesAWS API DocsOptions:queue_name_prefix - A string to use for filtering the list results. Only those queues whose name begins with the specified string are returned. Queue URLs and names are case-sensitive.","ref":"ExAws.SQS.html#list_queues/1","title":"ExAws.SQS.list_queues/1","type":"function"},{"doc":"Purge all messages in a SQS QueueAWS API Docs","ref":"ExAws.SQS.html#purge_queue/1","title":"ExAws.SQS.purge_queue/1","type":"function"},{"doc":"Read messages from a SQS QueueAWS API DocsOptions:attribute_names - :all or a list of AttributeNames to include in the response. Valid attributes are: [:sender_id, :sent_timestamp, :approximate_receive_count, :approximate_first_receive_timestamp, :sequence_number, :message_deduplication_id, :message_group_id, :aws_trace_header]:message_attribute_names - List of message attributes to include.The name can contain alphanumeric characters and the underscore (_), hyphen (-), and period (.).The name is case-sensitive and must be unique among all attribute names for the message.The name must not start with AWS-reserved prefixes such as AWS. or Amazon. (or any casing variants).The name must not start or end with a period (.), and it should not have periods in succession (..).The name can be up to 256 characters long. When using ReceiveMessage, you can send a list of attribute names to receive, or you can return all of the attributes by specifying All or . in your request. You can also use all message attributes starting with a prefix, for example bar..:max_number_of_messages - The maximum number of messages to return. Amazon SQS never returns more messages than this value (however, fewer messages might be returned). Valid values: 1 to 10. Default: 1.:visibility_timeout - The duration (in seconds) that the received messages are hidden from subsequent retrieve requests after being retrieved by a ReceiveMessage request.:wait_time_seconds - The duration (in seconds) for which the call waits for a message to arrive in the queue before returning. If a message is available, the call returns sooner than WaitTimeSeconds. If no messages are available and the wait time expires, the call returns successfully with an empty list of messages.:receive_request_attempt_id - This parameter applies only to FIFO (first-in-first-out) queues.The token used for deduplication of ReceiveMessage calls. If a networking issue occurs after a ReceiveMessage action, and instead of a response you receive a generic error, it is possible to retry the same action with an identical ReceiveRequestAttemptId to retrieve the same set of messages, even if their visibility timeout has not yet expired.","ref":"ExAws.SQS.html#receive_message/2","title":"ExAws.SQS.receive_message/2","type":"function"},{"doc":"Removes permission with the given label from the QueueAWS API Docs","ref":"ExAws.SQS.html#remove_permission/2","title":"ExAws.SQS.remove_permission/2","type":"function"},{"doc":"Send a message to a SQS QueueAWS API DocsOptions:delay_seconds - The length of time, in seconds, for which to delay a specific message. Valid values: 0 to 900. Maximum: 15 minutes. Messages with a positive DelaySeconds value become available for processing after the delay period is finished. If you don't specify a value, the default value for the queue applies.:message_attributes - Each message attribute consists of a Name, Type, and Value. For more information, see Amazon SQS Message Attributes in the Amazon Simple Queue Service Developer Guide.:message_deduplication_id - This parameter applies only to FIFO (first-in-first-out) queues.:message_group_id - This parameter applies only to FIFO (first-in-first-out) queues.","ref":"ExAws.SQS.html#send_message/3","title":"ExAws.SQS.send_message/3","type":"function"},{"doc":"Send up to 10 messages to a SQS Queue in a single request.AWS API Docs","ref":"ExAws.SQS.html#send_message_batch/2","title":"ExAws.SQS.send_message_batch/2","type":"function"},{"doc":"Set attributes of a SQS Queue.AWS API Docs","ref":"ExAws.SQS.html#set_queue_attributes/2","title":"ExAws.SQS.set_queue_attributes/2","type":"function"},{"doc":"Apply tags to a SQS Queue.AWS API Docs","ref":"ExAws.SQS.html#tag_queue/2","title":"ExAws.SQS.tag_queue/2","type":"function"},{"doc":"Remove tags from a SQS Queue.AWS API Docs","ref":"ExAws.SQS.html#untag_queue/2","title":"ExAws.SQS.untag_queue/2","type":"function"},{"doc":"","ref":"ExAws.SQS.html#t:delete_message_batch_item/0","title":"ExAws.SQS.delete_message_batch_item/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:message_visibility_batch_item/0","title":"ExAws.SQS.message_visibility_batch_item/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:queue_attributes/0","title":"ExAws.SQS.queue_attributes/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:receive_message_opts/0","title":"ExAws.SQS.receive_message_opts/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_acl/0","title":"ExAws.SQS.sqs_acl/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_batch_message/0","title":"ExAws.SQS.sqs_batch_message/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_message_attribute/0","title":"ExAws.SQS.sqs_message_attribute/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_message_attribute_name/0","title":"ExAws.SQS.sqs_message_attribute_name/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_message_opts/0","title":"ExAws.SQS.sqs_message_opts/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_permission/0","title":"ExAws.SQS.sqs_permission/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:sqs_queue_attribute_name/0","title":"ExAws.SQS.sqs_queue_attribute_name/0","type":"type"},{"doc":"","ref":"ExAws.SQS.html#t:visibility_timeout/0","title":"ExAws.SQS.visibility_timeout/0","type":"type"},{"doc":"","ref":"ExAws.SQS.SweetXmlParser.html","title":"ExAws.SQS.SweetXmlParser","type":"module"},{"doc":"","ref":"ExAws.SQS.SweetXmlParser.html#attribute_list_to_map/2","title":"ExAws.SQS.SweetXmlParser.attribute_list_to_map/2","type":"function"},{"doc":"","ref":"ExAws.SQS.SweetXmlParser.html#message_attributes_to_map/1","title":"ExAws.SQS.SweetXmlParser.message_attributes_to_map/1","type":"function"},{"doc":"","ref":"ExAws.SQS.SweetXmlParser.html#parse/2","title":"ExAws.SQS.SweetXmlParser.parse/2","type":"function"},{"doc":"","ref":"ExAws.SQS.SweetXmlParser.html#parse_request_id/2","title":"ExAws.SQS.SweetXmlParser.parse_request_id/2","type":"function"},{"doc":"","ref":"ExAws.SQS.SweetXmlParser.html#try_cast/2","title":"ExAws.SQS.SweetXmlParser.try_cast/2","type":"function"},{"doc":"Changelog","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Updated min elixir version to 1.7Updated ex_aws dependency from &quot;~&gt; 2.0&quot; -&gt; &quot;~&gt; 2.1&quot;documentation and formating updates","ref":"changelog.html#v3-3-0-2021-03-28","title":"Changelog - v3.3.0 - 2021-03-28","type":"extras"},{"doc":"Updated mix deps for :saxy &amp; :sweet_xml to be marked optional","ref":"changelog.html#v3-2-1-2020-04-14","title":"Changelog - v3.2.1 - 2020-04-14","type":"extras"},{"doc":"Added optional support for saxy XML parserSaxy parser set as default parser if both :saxy and :sweet_xml loaded.","ref":"changelog.html#v3-2-0-2020-04-13","title":"Changelog - v3.2.0 - 2020-04-13","type":"extras"},{"doc":"Added support for Queue Tags","ref":"changelog.html#v3-1-0-2020-01-22","title":"Changelog - v3.1.0 - 2020-01-22","type":"extras"},{"doc":"Improved docs","ref":"changelog.html#v3-0-2-2019-11-21","title":"Changelog - v3.0.2 - 2019-11-21","type":"extras"},{"doc":"Updated sqs_message_attribute_name typespec for SQS.receive_message to match AWS support attributes.","ref":"changelog.html#v3-0-1-2019-11-21","title":"Changelog - v3.0.1 - 2019-11-21","type":"extras"},{"doc":"BREAKING CHANGE: Changed queue specific functions to take the QueueUrl instead of the QueueName. Previously the name was used to build the path for the request. This is an anti-pattern according to aws docs and prevents this library from being used with alternative SQS compatible services, like localstack.","ref":"changelog.html#v3-0-0-2019-08-17","title":"Changelog - v3.0.0 - 2019-08-17","type":"extras"},{"doc":"Relaxed :ex_aws version constraint from v2.0.0 to v2.0","ref":"changelog.html#v2-0-1-2019-04-11","title":"Changelog - v2.0.1 - 2019-04-11","type":"extras"},{"doc":"Major Project Split. Please see the main ExAws repository for previous changelogs.","ref":"changelog.html#v2-0-0-2017-11-10","title":"Changelog - v2.0.0 - 2017-11-10","type":"extras"},{"doc":"ExAws.SQS Service module for https://github.com/ex-aws/ex_aws.","ref":"readme.html","title":"ExAws.SQS","type":"extras"},{"doc":"The package can be installed by adding :ex_aws_sqs to your list of dependencies in mix.exs along with :ex_aws and your preferred JSON codec / HTTP client:def deps do [ {:ex_aws, &quot;~&gt; 2.1&quot;}, {:ex_aws_sqs, &quot;~&gt; 3.3&quot;}, {:poison, &quot;~&gt; 3.0&quot;}, {:hackney, &quot;~&gt; 1.9&quot;}, {:saxy, &quot;~&gt; 1.1&quot;}, # or {:sweet_xml, &quot;~&gt; 0.6&quot;} ] end","ref":"readme.html#installation","title":"ExAws.SQS - Installation","type":"extras"},{"doc":"By default :ex_aws_sqs will use either :sweet_xml or :saxy to parse the XML responses from AWS, depending on which is installed. If both libraries are installed then :saxy will be choosen first. To explicitly choose either parser then set the :parser in your config:config :ex_aws_sqs, parser: ExAws.SQS.SaxyParser # OR config :ex_aws_sqs, parser: ExAws.SQS.SweetXmlParserBut ensure no other dependencies are setting this value.","ref":"readme.html#xml-parser","title":"ExAws.SQS - XML Parser","type":"extras"},{"doc":"The MIT License (MIT)Copyright (c) 2014 CargoSense, Inc.Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#copyright-and-license","title":"ExAws.SQS - Copyright and License","type":"extras"}]